> For the complete documentation index, see [llms.txt](https://docs.topay.mobi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.topay.mobi/cn/reference/api-reference/fiat-payments/payin/country-examples/thailand/qrcode.md).

# 二维码

{% hint style="warning" %}
每个请求都必须包含[公共参数](/cn/reference/api-reference/common-parameters.md)。
{% endhint %}

## 示例 <a href="#example" id="example"></a>

```
// request
curl --location --request POST 'https://api.topay.mobi/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
    "request_id": "custom_code9982674851738108",
    "pay_currency": "THB",
    "currency": "THB",
    "amount": "1500",
    "payment_method": "direct",
    "payment_type": "qrcode",
    "payment_channel": "prompt_pay",
    "product_name": "product info",
    "customer_ref_id": "abcd1234",
    "notify_url": "https://notify.url",
    "remark": "payout test remark"
}'
```

```
// response

{"code":"200",
 "data":{
   "request_id":"custom_code9982674851738108",
   "partner_id":"2000051",
   "order_no":"2023013120000600262092321146",
   "currency":"THB",
   "order_amount":"1500",
   "status":11,
   "payment_method":"direct",
   "checkout_url":"https://dne/bankdken=Mx5rbTdKpGLseRfJdA%3D%3D&id=13982054"
 },
 "message":"success"
 }
```

示例主要展示业务字段。
